gvSIG launcher must take account JVM used for install process
Add-on name: Unknown

Description

On my 64 bits machine, I've installed gvSIG using a 32bits JVM. But, when | run gvSIG, this JVM is not take account when gvSIG.sh
looks for a 32 bit JVM.

Related issues:

Related to Application: gvSIG desktop - gvSIG bugs # 2309: No aparece adminis... Closed 02/10/2014
Duplicated by Application: gvSIG desktop - gvSIG bugs # 2201: gvSIG 2.1 beta ... Closed 01/15/2014
History

#1 - 01/13/2014 11:14 AM - Alvaro Anguix

¢ Puedes comprobar si te pasa con el Gltimo build (2216)?

#2 - 01/14/2014 10:21 AM - Jose Manuel Vivo Arnal

Si... pasa lo mismo.

El instalador de gvSIG deberia de guardar la JVM que se ha usado para instalar la aplicacién como una posible opcion a usar en el arranque de
gvSIG.

Me refiero a la parte de gvSIG.sh, en la seccion:
# PRIVATE JAVA HOMEs
PJH1=$(echo "$GVSIG_HOME_FOLDER/jre/"*1.6*)
PJH2=$(echo "$GVSIG_HOME_FOLDER/jre/"*1.5%)
PJH3="$GVSIG_INSTALL_FOLDER/gvSIG/extensiones/jre_6_windows_i586/jre"
PJH4=
PJH5=
En el PUH_INTALLER o similar el instalador deberia afadir la ruta a la JRE usada para arrancar la instalacion ya que puede ser una opcién a usar.

En mi maquina tengo instaladas distintas versiones de la JRE y, segun la necesito, voy ajustando las variables de entorno que necesito.

Otra opcion, valida sélo en linux, para detectar las JRE instaladas en la maquina es analizar la salida de comando update-alternatives --list java.
Ejemplo:

$ update-alternatives --list java
/usr/bin/gij-4.6
/ust/lib/jvm/java-6-openjdk-amd64/jre/bin/java
/ust/lib/jvm/java-6-sun/bin/java
/ust/lib/jvm/java-7-openjdk-amd64/jre/bin/java
Jusr/lib/jvm/jdk1.7.0/bin/java

#3 - 01/14/2014 10:24 AM - Alvaro Anguix

- Assignee set to Joaquin del Cerro Murciano

#4 - 01/16/2014 01:13 PM - Alvaro Anguix
- Target version set to 2.1.0-2219-testing

#5 - 01/16/2014 01:14 PM - Alvaro Anguix

Posible relacién con bug:
https://devel.gvsig.org/redmine/issues/2201

#6 - 01/27/2014 10:01 PM - Alexander Holsteinson

Cuando veremos el JAVA 7 finalmente en el gvSIG 2.1?

#7 - 01/28/2014 07:47 AM - Alvaro Anguix

Hola Alexander,

Para preguntas utiliza la lista de usuarios.

Gracias

#8 - 02/17/2014 10:43 PM - Joaquin del Cerro Murciano

- Status changed from New to Fixed

#9 - 02/19/2014 10:32 AM - Alvaro Anguix

- Status changed from Fixed to Closed
